package com.ruoyi.model.service;

import com.ruoyi.applet.pojo.dto.ApiAppletLoginDTO;
import com.ruoyi.common.core.domain.AjaxResult;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;

public interface IAApiAppletLoginService {


    //伴宠师-微信授权登录
    AjaxResult wechatLogin(ApiAppletLoginDTO params);

    //伴宠师-获取手机号码
    AjaxResult bindPhone(ApiAppletLoginDTO params);

    //伴宠师-登录页基础信息
    AjaxResult loginConf();

    //伴宠师-获取用户基本能信息
    AjaxResult getAppletUserInfo(Long appUserId);

}
